## r-cran-grimport2 0.2

=== DESCRIPTION ===
Package: grImport2
Version: 0.2-0
Depends: R (>= 2.12.0)
Imports: methods, grDevices, grid, XML, png, jpeg, base64enc
Suggests: gridSVG, rsvg
Title: Importing 'SVG' Graphics
Authors@R: c(person("Simon", "Potter", role = c("aut"),
                    email = "simon.potter@auckland.ac.nz"),
             person("Paul", "Murrell", role = c("aut", "cre"),
                    email = "paul@stat.auckland.ac.nz",
                    comment = c(ORCID = "0000-0002-3224-8858")))
Description: Functions for importing external vector images and
  drawing them as part of 'R' plots.  This package is different from the
  'grImport' package because, where that package imports 'PostScript'
  format images, this package imports 'SVG' format images.  Furthermore,
  this package imports a specific subset of 'SVG', so external images
  must be preprocessed using a package like 'rsvg' to produce 'SVG'
  that this package can import.  'SVG' features that are not supported
  by 'R' graphics, e.g., gradient fills, can be imported and then
  exported via the 'gridSVG' package.
URL:
        https://r-forge.r-project.org/projects/grimport/,https://stattech.wordpress.fos.auckland.ac.nz/2013/09/,https://stattech.wordpress.fos.auckland.ac.nz/2016/08/30/2016-11-the-butterfly-affectation/,https://stattech.wordpress.fos.auckland.ac.nz/2019/11/25/2019-02-svg-in-svg-out/
License: GPL (>= 2)
NeedsCompilation: no
Packaged: 2019-11-25 20:03:35 UTC; pmur002
Author: Simon Potter [aut],
  Paul Murrell [aut, cre] (<https://orcid.org/0000-0002-3224-8858>)
Maintainer: Paul Murrell <paul@stat.auckland.ac.nz>
Repository: CRAN
Date/Publication: 2019-11-25 20:30:02 UTC

## r-cran-grimport2 0.2-0

=== debian/changelog ===
r-cran-grimport2 (0.2-0-3build1) groovy; urgency=medium

  * No-change rebuild against r-api-4.0

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 30 May 2020 14:13:56 +0000

r-cran-grimport2 (0.2-0-3) unstable; urgency=medium

  * Source upload in R 4.0 transition

 -- Andreas Tille <tille@debian.org>  Sat, 16 May 2020 20:07:06 +0200

r-cran-grimport2 (0.2-0-2) unstable; urgency=medium

  * Source only upload

 -- Andreas Tille <tille@debian.org>  Tue, 07 Apr 2020 10:57:29 +0200

r-cran-grimport2 (0.2-0-1) unstable; urgency=medium

  * Initial release (closes: #955705)

 -- Andreas Tille <tille@debian.org>  Sat, 04 Apr 2020 00:15:30 +0200

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-gridsvg
Restrictions: allow-stderr

## r-cran-grimport2 0.3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: grImport2
-Version: 0.2-0
+Version: 0.3-3
 Depends: R (>= 2.12.0)
 Imports: methods, grDevices, grid, XML, png, jpeg, base64enc
 Suggests: gridSVG, rsvg
@@ -22,9 +22,9 @@
         https://r-forge.r-project.org/projects/grimport/,https://stattech.wordpress.fos.auckland.ac.nz/2013/09/,https://stattech.wordpress.fos.auckland.ac.nz/2016/08/30/2016-11-the-butterfly-affectation/,https://stattech.wordpress.fos.auckland.ac.nz/2019/11/25/2019-02-svg-in-svg-out/
 License: GPL (>= 2)
 NeedsCompilation: no
-Packaged: 2019-11-25 20:03:35 UTC; pmur002
+Packaged: 2024-07-30 07:55:29 UTC; pmur002
 Author: Simon Potter [aut],
   Paul Murrell [aut, cre] (<https://orcid.org/0000-0002-3224-8858>)
 Maintainer: Paul Murrell <paul@stat.auckland.ac.nz>
 Repository: CRAN
-Date/Publication: 2019-11-25 20:30:02 UTC
+Date/Publication: 2024-07-30 08:30:02 UTC

## r-cran-grimport2 0.3-1

=== debian/changelog ===
r-cran-grimport2 (0.3-1-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 09 Nov 2023 19:27:47 +0100

r-cran-grimport2 (0.3-0-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 13 Oct 2023 22:35:08 +0200

=== debian/control ===
Source: r-cran-grimport2
Section: gnu-r
Priority: optional
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-grimport2
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-grimport2.git
Homepage: https://cran.r-project.org/package=grImport2
Standards-Version: 4.6.2
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-xml,
               r-cran-png,
               r-cran-jpeg,
               r-cran-base64enc
Testsuite: autopkgtest-pkg-r

Package: r-cran-grimport2
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R importing 'SVG' graphics
 Functions for importing external vector images and
 drawing them as part of 'R' plots.  This package is different from the
 'grImport' package because, where that package imports 'PostScript'
 format images, this package imports 'SVG' format images.  Furthermore,
 this package imports a specific subset of 'SVG', so external images
 must be preprocessed using a package like 'rsvg' to produce 'SVG'
 that this package can import.  'SVG' features that are not supported
 by 'R' graphics, e.g., gradient fills, can be imported and then
 exported via the 'gridSVG' package.

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-gridsvg,
        r-cran-rsvg
Restrictions: allow-stderr

## r-cran-grimport2 0.3-3

=== debian/changelog ===
r-cran-grimport2 (0.3-3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)

 -- Charles Plessy <plessy@debian.org>  Mon, 27 Jan 2025 14:13:24 +0900

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-grimport2
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-grimport2.git
 Homepage: https://cran.r-project.org/package=grImport2
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem R

override_dh_fixperms:
	dh_fixperms
	find debian \( -name "*.Rd" -o -name "*.Rnw" -o -name "*.svg" \) -exec chmod -x \{\} \;

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/grImport2_([-\d.]*)\.tar\.gz
